<style type="text/css">
    .amount{
        text-align: right;
    }
    .btn-group button {
        height:30px;}
    .input-append select {
        width:140px;}

    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_5 .content.np #listDetails tbody #trInfos td .row-fluid .controls-row .span3 {
        font-size: 11px;
        color: #000;
        font-weight: bold;
    }
    .test {
        font-size: 10px;
    }
    .span3 {
        font-size: 10px;
    }
    tbody {
        font-size: 10px;
    }
    #content .wrap #grid_content_1 .row-fluid.scRow .row-fluid.scRow .span12.scCol #grid_block_6 .content.np #listCharge tbody #trInfosCharge td .row-fluid .controls-row .span3 {
        font-weight: bold;
    }
</style>
<script type="application/javascript">

    $(document).ready(function(){
    $('select').select2();
    $.each($(".select2-container"), function (i, n) {
    $(n).next().show().fadeTo(0, 0).height("0px").css("left", "auto"); // make the original select visible for validation engine and hidden for us
    $(n).prepend($(n).next());
    $(n).delay(500).queue(function () {
    $(this).removeClass("validate[required]"); //remove the class name from select2 container(div), so that validation engine dose not validate it
    $(this).dequeue();
    });
    });	
    jQuery('.datepicker2').datepicker({
    dateFormat : 'dd-mm-yy',
    changeMonth : true,
    changeYear : true
    });
    });


    function loadSupplierDefaultValue(me){
    $('#currency').attr("value",'');
    $('#exchange_rate').attr("value",'');
    var effdate = $('#createdDate').val();
    var postData = {
    supplier : $("#supplier option:selected").val(),
    effdate : effdate
    };
    $.ajax({
    type: "POST",
    data: postData,
    url: "<?php echo base_url() ?>supplier/loadSupplierDefaultValue",
    success: function(data) {
    var result = eval ("(" + data + ")"); 
    $('#currency').attr("value",result.records[0].currency);
    $('#currency').attr("data-ID",result.records[0].currencyID);
    $('#exchange_rate').attr("value",accounting.formatNumber(result.records[0].exchangeRate,5));
    }
    });
    }

    function refreshSupplier(){
    $.ajax({
    type: "POST",
    url: "<?php echo base_url() ?>supplier/refreshSupplier",
    success: function(data) {

    var resul = eval ("(" + data + ")"); 
    var n=resul.records.length;
    var i=0;
    var opt='' +
    '<option></option>';
    for (i=0;i<n;i++)
    opt=opt + '<option value="' + resul.records[i].id + '">' + resul.records[i].supplierName + '</option>';
    $('#supplier').empty();
    $('#supplier').append(opt);
    }
    });

    }




    function getItemCode(me){
    $.ajax({
    type: "POST",
    data: "itemCode="+$(me).val(),
    url: "<?php echo base_url() ?>itemSetup/getItemCodes",
    success: function(data) {
    $("#itemcode").attr("data-source", data);
    }
    });
    }

    function refreshTerms(){
    $.ajax({
    type: "POST",
    url: "<?php echo base_url() ?>term/refreshTerms",
    success: function(data) {

    var resul = eval ("(" + data + ")"); 
    var n=resul.records.length;
    var i=0;
    var opt='' +
    '<option></option>';
    for (i=0;i<n;i++)
    opt=opt + '<option value="' + resul.records[i].id + '">' + resul.records[i].termName + '</option>';
    $('#term').empty();
    $('#term').append(opt);
    }
    });

    }
    function displaysItemDefaultValue(){
    $("#itemdes").val($("#itemComboList option:selected").attr("data-desc"));
    $("#itemunitprice").val(accounting.formatNumber($("#itemComboList option:selected").attr("data-price"),2));
    }

    function refreshItems(){
    $.ajax({
    type: "POST",
    url: "<?php echo base_url() ?>po_transaction/refreshItems",
    success: function(data) {

    var resul = eval ("(" + data + ")"); 
    var n=resul.records.length;
    var i=0;
    var opt='' +
    '<option></option>';
    for (i=0;i<n;i++)
    opt=opt + '<option data-price="'+ resul.records[i].price +'" data-description="' + resul.records[i].description + '" value="' + resul.records[i].id + '">' + resul.records[i].name + '[' + resul.records[i].code + ']' + '</option>';
    $('#itemComboList').empty();
    $('#itemComboList').append(opt);
    }
    });

    }

    function refreshProject(){
    $.ajax({
    type: "POST",
    url: "<?php echo base_url() ?>project/refreshProject",
    success: function(data) {

    var resul = eval ("(" + data + ")"); 
    var n=resul.records.length;
    var i=0;
    var opt='' +
    '<option></option>';
    for (i=0;i<n;i++)
    opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].projectName + '</option>';
    $('#project').empty();
    $('#project').append(opt);
    }
    });
    }


    function getTermDescription(me){
    $.ajax({
    type: "POST",
    data: "term="+ me.value,
    url: "<?php echo base_url() ?>term/getTermDescription",
    success: function(data) {
    $('#termDescription').html(data);
    }
    });
    }


    function saveParchaseRow(){

    if( $("#parchaseDetailForm").validationEngine('validate')){
    if ( $("#purchaseInvoiceId").val()=="null"){
    getTotal();
    $.ajax({
    type: "POST",
    data: { 
    supplierID : $("#supplier").val(),

    formNo : $("#formNo").val(),
    purchaserID : $("#purchaser").val(),
    memo : $("#memo").val(),
    invoiceDate: $("#createdDate").val(),
    termsID: $("#term").val(),
    exchangeRate : $("#exchange_rate").val(),
    currencyID : $("#currency").attr("data-ID"),
    lineNo:  $("#listDetails").attr("data-currentRow") *1 +1,
    itemID:  $("#itemComboList").val(),
    itemdescription: $("#itemdes").val(),
    quantity : $("#itemqte").val(),
    unitPrice: accounting.unformat($("#itemunitprice").val()),
    amount: accounting.unformat($("#itemAmountET").val())
    },
    url: "<?php echo base_url() ?>PO_Transaction/saveParchaseRow",
    success: function(data) {
    var resul = eval ("(" + data + ")"); 
    $("#purchaseInvoiceId").val(resul.invoiceID);
    $(''+
    '<tr><td>' + ( $("#listDetails").attr("data-currentRow") *1 +1) + '</td>' +
    '<td>' +  $("#itemComboList option:selected").text() + '</td>'+
    '<td>' + $("#itemdes").val() + '</td>'+
    '<td class="amount">' + accounting.formatNumber( $("#itemunitprice").val(),2) + '</td>'+
    '<td>' + $("#itemqte").val() + '</td>'+
    '<td class="amount">' + accounting.formatNumber($("#itemAmountET").val(),2) + '</td>'+
    '<td>'+
    '<button onclick="deleteOrderRow(this)" data-detailid='+ resul.detailID +' class="btn btn-mini btn-danger" type="button"><i class="icon-trash"></i></button>'+
    '</td>'+
    '</tr>'
    ).insertBefore( "#trInfos" );
    $("#listDetails").attr("data-currentRow", $("#listDetails").attr("data-currentRow") *1 +1);
    $("#btnCancel").trigger("click");
    $("#calcul").trigger( "click" );
    getTotal();
    msg (1,"alert alert-success","Details successfully saved");
    } //end function
    });//end ajax
    }else{ // adding new items 
    $.ajax({
    type: "POST",
    data: {
    invoiceId : $("#purchaseInvoiceId").val(),

    lineNo:  $("#listDetails").attr("data-currentRow") *1 +1,
    itemID:  $("#itemComboList").val(), 
    itemdescription: $("#itemdes").val(),
    quantity : $("#itemqte").val(),
    unitPrice: accounting.unformat($("#itemunitprice").val()),
    amount: accounting.unformat($("#itemAmountET").val())
    },
    url: "<?php echo base_url() ?>PO_Transaction/saveParchaseDetail",
    success: function(data) {
    msg (1,"alert alert-success","Details successfully saved");
    var resul = eval ("(" + data + ")"); 
    $(''+
    '<tr><td>' + ( $("#listDetails").attr("data-currentRow") *1 +1) + '</td>' +
    '<td>' +  $("#itemComboList option:selected").text() + '</td>'+
    '<td>' + $("#itemdes").val() + '</td>'+
    '<td class="amount">' + accounting.formatNumber($("#itemunitprice").val(),2) + '</td>'+
    '<td>' + $("#itemqte").val() + '</td>'+
    '<td class="amount">' + accounting.formatNumber($("#itemAmountET").val(),2) + '</td>'+
    '<td>'+
    '<button onclick="deleteOrderRow(this)" data-detailid='+ resul.detailID +' class="btn btn-mini btn-danger" type="button"><i class="icon-trash"></i></button>'+
    '</td>'+
    '</tr>'
    ).insertBefore( "#trInfos" );
    $("#listDetails").attr("data-currentRow", $("#listDetails").attr("data-currentRow") *1 +1);
    $("#btnCancel").trigger("click");
    $( "#calcul" ).trigger( "click" );
    getTotal();

    }
    }); //end ajax
    } //end if data valide
    }else {
    msg (1,"alert alert-error", "Data incorrect or invalid ...");
    }
    $( "#calcul" ).trigger( "click" );
    }

    function deleteOrderRow (me){
    $('#popupModal').modal('show');
    $("#_popupTitle").html("Confirm delete");
    $("#_popupContent").html("Your about to delete definively this row. <br/> Click on ok to confirm");

    $('#_popupFooter').empty();
    $('#_popupFooter').append('<button class="btn btn-mini btn-danger" id="detButton">Ok</button>' +
    '<button class="btn btn-mini" id="canb">Cancel</button>');
    $("#_popupTitle").html("Confirm delete");
    $( "#canb" ).click(function() {
    $('#popupModal').modal('hide');
    });
    $( "#detButton" ).click(function() {
    $('#popupModal').modal('hide');
    $.ajax({
    type: "POST",
    data: "detailsId="+ $(me).attr("data-detailid"),
    url: "<?php echo base_url() ?>PO_Transaction/deletePoRow",
    success: function(data) {
    msg (1,"alert alert-success","Data deleted succesfuly ...");
    var td=me.parentNode;
    var tr=td.parentNode;
    var tBody=tr.parentNode;
    tBody.removeChild(tr);
    getTotal();
    }
    });
    });

    $( "#calcul" ).trigger( "click" );
    }

    /*	function getItemDetails(me){
    $("#itemname").val("");
    $("#itemdes").val("");
    $.ajax({
    type: "POST",
    data: "code="+ me.value,
    url: "<?php echo base_url() ?>itemsetup/getItemDetails",
    success: function(data) {
    if(data!="item Not found"){
    var resul = eval ("(" + data + ")");
    $("#itemname").val(resul.description);
    $("#itemdes").val(resul.name);
    $("#itemTax").val(resul.tax);
    $("#itemTax").attr("data-taxid",resul.taxID);
    $("#displayTaxCode").text(resul.taxcode); 
    }else{
    $("#itemdes").attr("placeholder",data);
    $("#itemname").attr("placeholder",data);
    $("#itemTax").val("");
    $("#itemTaxAmount").val("");
    $("#itemAmountIT").val("");
    $("#itemTax").attr("data-taxid",""); 
    $("#displayTaxCode").html("");
    }
    }
    });
    } */

    function calculamountET(){
    if  ($("#totalamount").val()=="NaN"){


    $("#totalpayable").val("0");
    }

    var j_itemAmountET =accounting.unformat($("#itemunitprice").val())*accounting.unformat($("#itemqte").val());
    $("#itemAmountET").val(accounting.formatNumber(j_itemAmountET,2));
    }

    function addRowInvoice(){
    if (!$("#itemComboList").length) {
    $(''+
    '<tr><td class="span1">' + ( $("#listDetails").attr("data-currentRow") *1 +1) + '</td>' +
    '<td class="span3" >' +
    '<select id="itemComboList" class="span10" onchange="displaysItemDefaultValue()"><option></option>' +
    <?php
    if ($items) {
        foreach ($items as $row) {
            ?>
            '<option data-desc= "<?php echo $row->description; ?>" data-price= "<?php echo $row->supplierPrice; ?>" \n\
            data-taxid="<?php echo $row->inputTaxID; ?>" data-taxcode="<?php echo $row->inputTaxCode; ?>" \n\
            data-taxPercentage="<?php echo $row->inputTaxPercentage; ?>" value="<?php echo $row->ID; ?>"><?php
            echo str_replace("'", " ", $row->name, $count)
            . " [" . str_replace("'", " ", $row->itemCode, $count) . "]";
            ?></option>'+
        <?php
        }
    }
    ?>
    '</select>' +
    '<div class="btn-group span1">' +
    '<button class="btn btn-mini btn-primary dropdown-toggle" data-toggle="dropdown">' +
    '   <span class="i-arrow-down-2"></span> </button> <ul class="dropdown-menu">' +
    '<li><a target="_blank" href="<?php echo base_url() ?>icsetting/itemNew">' +
    '<i class="icon-plus-sign"></i><?php echo $this->lang->line('addNewItem') ?></a></li>' +
    '<li><a href="#" onclick="refreshItems()"><i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a>' +
    '</li> </ul></div></td>' +
    '<td class="span3"><input id="itemdes" name="itemdes" class="span12 validate[required]" type="text" placeholder="Description"></td>'+
    '<td class="span1"><input id="itemunitprice" onkeyup="calculamountET()" name="itemunitprice" class="span12 amount validate[required,custom[number]]" type="text" placeholder="Unit Priece"></td>'+
    '<td class="span1"><input id="itemqte" onkeyup="calculamountET()"  name="itemqte" class="span12 amount validate[required,custom[integer]]" type="text" placeholder="Qty"></td>'+
    '<td class="span1"><input id="itemAmountET" name="itemAmountET" disabled class="span12 amount validate[required]" type="text" placeholder="Amount (Exclude Tax)"></td>'+
    '<td class="span1">'+
    '<button class="btn btn-mini btn-primary" onclick="saveParchaseRow()" type="button"><span class="icon-ok-circle"></span></button>'+
    '<button id="btnCancel" class="btn btn-mini btn-danger" onclick="delRowInvoice(this)" type="button"><span class="icon-remove-circle"></span></button>'+
    '</td>'+
    '</tr>'
    ).insertBefore( "#trInfos" );
    $("#itemComboList").select2();
    }else{
    msg (1,"alert","Please, do save the current details before addind new one");
    }
    }

    function getTotal (){


    //$("#impotpayable").val("");

    $("#totalpayable").val("");
    var n =$("#listDetails > tbody > tr").length-1;
    var totalAmount =0;
    var impot = 0;
    var total = 0;
    for (i=0; i<=n; i++) {
    totalAmount= totalAmount + accounting.unformat($('#listDetails > tbody > tr:eq(' + i + ') > td:eq(5)').text())*1;
    }

    $("#totalpayable").val(accounting.formatNumber(totalAmount,2));

    }


    function msg(n,type, message){

    $("#msg_div"+n +" p").html(message);
    $("#msg_div"+n).attr("class","alert " + type);
    }

    function delRowInvoice(me){
    var td=me.parentNode;
    var tr=td.parentNode;
    var tBody=tr.parentNode;
    tBody.removeChild(tr);
    }

    /*
    function checkformNumber(me){
    var answer ="no";
    $.ajax({
    type: "POST",
    data: "code="+ me.value,
    url: "<?php echo base_url() ?>po_transaction/checkformNumber",
    success: function(data) {
    answer = data;
    if(data=="yes"){
    $("#formNo").attr("placeholder","Error: Number exist ...");
    $("#formNo").val("");
    msg (1,"alert", "This form number is already used ");
    }
    }
    });
    return answer;
    }
    */




    function displaysAdress(){
    $("#shiptoDesc").html("");
    $("#shiptoDesc").html($("#shiptoAddress option:selected").attr("data-line1") +
    "&#10;" + $("#shiptoAddress option:selected").attr("data-line2") +
    "&#10;" + $("#shiptoAddress option:selected").attr("data-line3"));
    }


    function refreshEmployee(){
    $.ajax({
    type: "POST",
    url: "<?php echo base_url() ?>employeesetup/refreshEmployee",
    success: function(data) {

    var resul = eval ("(" + data + ")"); 
    var n=resul.records.length;
    var i=0;
    var opt='' +
    '<option></option>';
    for (i=0;i<n;i++)
    opt=opt + '<option value="' + resul.records[i].id +'">' + resul.records[i].employeeName + '</option>';
    $('#purchaser').empty();
    $('#purchaser').append(opt);
    }
    });
    }


</script>



<div id="content"> 
    <div class="wrap">
        <div class="head">
            <div class="info">
                <h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>
                <ul class="breadcrumb">
                    <li><a href='<?php echo base_url() . "home" ?>'><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                    <li><a href='<?php echo base_url() . "gl/home" ?>'> <?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                    <li class="active"><?php echo $this->lang->line('titlepo') ?></li>
                </ul>
            </div>

            <div class="search">
                <form action="<?php echo base_url() ?>admin/search" method="post">
                    <input name="search_text" type="text" placeholder="search..."/>                                
                    <button type="submit"><span class="i-magnifier"></span></button>
                </form>
            </div>        

        </div><!-- head --> 
        <div class="content" id="grid_content_1">
            <form id="parchaseDetailForm" action="#">    
                <div class="row-fluid">
                    <div class="alert alert-info">
                        <strong><?php echo $this->lang->line('titlepo') ?></strong>
                    </div>
                </div>
                <div class="block">
                    <div class="content">
                        <div class="row-fluid scRow">                            
                            <div class="span4 scCol">
                                <div class="block ns" id="grid_block_1">
                                    <div class="controls-row">
                                        <div class="span4"><?php echo $this->lang->line('supplier') ?></div>
                                        <input type="hidden" id="purchaseInvoiceId" value="null"/>
                                        <div class="span8">
                                            <select class="span10 validate[required]" id="supplier" onchange="loadSupplierDefaultValue(this)">
                                                <option></option>
                                                <?php
                                                if ($supplier != '') {
                                                    foreach ($supplier as $row) {
                                                        ?>
                                                        <option value="<?php echo $row->ID; ?>"> <?php echo $row->supplierName; ?></option>
    <?php }
} ?>
                                            </select>
                                            <div class="btn-group span1">
                                                <button class="btn btn-mini btn-primary dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>supplier/SupplierNew"  id="btnNewSupplier">
                                                            <i class="icon-plus-sign"></i> <?php echo $this->lang->line('addNewSupplier') ?></a></li>
                                                    <li><a href="#" onclick="refreshSupplier()" id="btnNewSupplier">
                                                            <i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div> <!-- row -->
                                    <div class="controls-row">
                                        <div class="span4"><?php echo $this->lang->line('formNo') ?></div>
                                        <div class="span5">
                                            <input class="span12 validate[required]" id="formNo" onblur="checkformNumber(this)" name="formNo" value='<?php echo "$formNo"; ?>' style="color:red;"   type="text" placeholder="Form number ...">
                                        </div>
                                        <div class="span3">
                                            <input  class="span12"   type="text" placeholder="Serial" disabled="disabled">
                                        </div>
                                    </div> <!-- row -->
                                    <div class="controls-row">
                                        <div class="span4"><?php echo $this->lang->line('date') ?></div>
                                        <div class="span8">
                                            <div class="input-prepend">
                                                <span class="add-on span2"><i class="i-calendar"></i></span>
                                                <?php
                                                $data = array(
                                                    'name' => 'createdDate',
                                                    'id' => 'createdDate',
                                                    'type' => 'text',
                                                    'onkeydown' => 'return false',
                                                    'class' => 'span10 datepicker validate[required]',);
                                                echo form_input($data, date(element('dtFormat', $this->session->userdata('logged_in'))));
                                                ?>
                                            </div>
                                        </div>
                                    </div> <!-- row -->
                                </div><!-- grid block 1-->
                            </div><!-- scCol -->
                            <div class="span4 scCol">
                                <div class="block" id="grid_block_2">
                                    <div class="controls-row">
                                        <div class="span4"><?php echo $this->lang->line('terms') ?></div>
                                        <div class="span8">
                                            <select id="term" onchange="getTermDescription(this)" class="span11 validate[required]">
                                                <option></option>
                                                <?php
                                                if ($terms != '') {
                                                    foreach ($terms as $row) {
                                                        ?>
                                                        <option value="<?php echo $row->ID; ?>"><?php echo $row->termName; ?></option>
    <?php }
} ?>
                                            </select>
                                            <div class="btn-group span1">
                                                <button class="btn btn-mini btn-primary dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url() ?>term/termSetup"  id="btnNewTer">
                                                            <i class="icon-plus-sign"></i><?php echo $this->lang->line('addNewTerms') ?></a></li>
                                                    <li><a href="#" onclick="refreshTerms()"><i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a>
                                                    </li>
                                                </ul>
                                            </div><!-- btn group -->
                                        </div><!-- span -->

                                    </div><!-- row control -->
                                    <div class="controls-row">
                                        <div class="span4"><?php echo $this->lang->line('termsdesc') ?></div>
                                        <div class="span8">
                                            <textarea style="min-height: 77px; " disabled="disabled" id="termDescription" class="span12">
                                            </textarea>
                                        </div><!-- span -->
                                    </div><!-- row control -->
                                </div><!-- grid block 1-->
                            </div><!-- scCol -->
                            <div class="span4 scCol">
                                <div class="block ns" id="grid_block_3">
                                    <div class="controls-row">
                                        <div class="span4"><?php echo $this->lang->line('currency') ?></div>
                                        <div class="span8">
                                            <input id="currency" name="currency" type="text" placeholder="Currency" disabled class="span12 validate[required,minSize[5],maxSize[10]]">            
                                        </div><!-- span -->
                                    </div><!-- control row -->
                                    <div class="controls-row">
                                        <div class="span4"><?php echo $this->lang->line('exchangeRate') ?></div>
                                        <div class="span8">
                                            <input class="span12 tar" id="exchange_rate" name="exchange_rate" type="text" placeholder="Example: 3.2" >           
                                        </div><!-- span -->
                                    </div><!-- control row -->
                                </div><!-- content -->
                            </div><!-- content -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
                <div class="row-fluid scRow">                            
                    <div class="span12 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="head">
                                <h2><?php echo $this->lang->line('items') ?></h2>
                                <ul class="buttons">
                                    <li><a class="block_toggle collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapseOne">
                                            <span class="i-arrow-down-3"></span></a></li>
                                </ul>                                        
                            </div><!-- head -->
                            <div class="content np">
                                <table data-currentRow="0" id="listDetails" cellpadding="0" cellspacing="0" width="100%">
                                    <thead>
                                        <tr> <th width="5px">#</th>
                                            <th><?php echo $this->lang->line('item') ?></th>
                                            <th><?php echo $this->lang->line('itemDesc') ?></th>
                                            <th><?php echo $this->lang->line('unitPrice') ?></th>
                                            <th><?php echo $this->lang->line('qtyOrder') ?></th>
                                            <th><?php echo $this->lang->line('amount') ?></th>
                                            <th><?php echo $this->lang->line('action') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr id="trInfos">
                                            <td colspan="7">
                                                <div id="msg_div1" class="alert alert-info">
                                                    <h4><?php echo $this->lang->line('lastMessage') ?></h4>
                                                    <p style="padding-top:10px;"><?php echo $this->lang->line('noMessage') ?></p>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button style="margin-right:6px;" onclick="$('#parchaseDetailForm').validationEngine('hide');" class="btn btn-mini" type="button" name="validat">Hide prompts</button>
                                            <button id="addRow" onclick="addRowInvoice()" class="btn btn-mini btn-primary" type="button">
                                                <i class="icon-plus-sign"></i><?php echo $this->lang->line('addNewDetails') ?></button>
                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->      
                            </div><!-- content -->
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
                <div class="row-fluid scRow">



                    <div class="span7 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('purchaser') ?></div>
                                    <div class="span8">
                                        <div class="span12">

                                            <select class="span10 validate[required]" id="purchaser">
                                                <option></option>
                                                <?php
                                                if ($purchaser != '') {
                                                    foreach ($purchaser as $row) {
                                                        ?>
                                                        <option value="<?php echo $row->ID; ?>"> <?php echo $row->employeeName; ?></option>
    <?php }
} ?>
                                            </select>
                                            <div class="btn-group span1">
                                                <button class="btn btn-mini btn-primary dropdown-toggle" data-toggle="dropdown">
                                                    <span class="i-arrow-down-2"></span>
                                                </button>
                                                <ul class="dropdown-menu">
                                                    <!-- dropdown menu links -->
                                                    <li><a target="_blank" href="<?php echo base_url()  ?>employeeSetup/EmployeeNew"  id="">
                                                            <i class="icon-plus-sign"></i> <?php echo $this->lang->line('addnewpurchaser') ?></a></li>
                                                    <li><a href="#" onclick="refreshEmployee()" id="btnNewSupplier">
                                                            <i class="icon-refresh"></i><?php echo $this->lang->line('refreshlist') ?></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- row -->
                                <div class="controls-row">
                                    <div class="span4"><?php echo $this->lang->line('memo') ?></div>
                                    <div class="span8">
                                        <textarea class="span12" id="memo"></textarea>
                                    </div>
                                </div> <!-- row -->
                            </div>    
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->               

                    <div class="span5 scCol">
                        <div class="block" id="grid_block_4">
                            <div class="content np">

                                <div class="controls-row">
                                    <div class="span3">.<!--<?php echo $this->lang->line('importDutyPayable') ?>--></div>
                                    <div class="span8">
                                       . <!--<input id="impotpayable" class="span12 amount" type="text" disabled="disabled"  placeholder="0">-->
                                    </div>
                                </div><!-- row control -->
                                <div class="controls-row">
                                    <div class="span3"><?php echo $this->lang->line('totalAmount') ?></div>
                                    <div class="span8">
                                        <input id="totalpayable" disabled="disabled"  class="span12 amount" type="text" placeholder="0">
                                    </div>
                                </div><!-- row control -->
                                <div class="footer">
                                    <div class="side fr">
                                        <div class="btn-group">
                                            <button id="calcul" onclick="getTotal()" class="btn btn-mini btn-warning" type="button"> 
                                                <i class="icon-ok-circle"></i><?php echo $this->lang->line('calTotal') ?></button>

                                        </div><!-- btn group -->      
                                    </div><!-- side fr -->      
                                </div><!-- footer -->   
                            </div>    
                        </div><!-- grid block 1-->
                    </div><!-- scCol -->
                </div><!-- row-fluid scRow-->
            </form>
        </div><!-- grid 1 -->
    </div><!-- wrap -->
</div><!-- content -->



